import { jsx } from "react/jsx-runtime";
import { TokenMOE as TokenMOE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMOE = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MOE", "data-name": "TokenMOE", ...props, children: /* @__PURE__ */ jsx(TokenMOE$1, { variant }) });
  }
);
TokenMOE.displayName = "TokenMOE";
Object.assign(TokenMOE, { isGdsIcon: true });
export {
  TokenMOE
};
